import { useState } from 'react';
import Taro from '@tarojs/taro';
import del from '@/assets/icons/landlord/delete.png'
import { View,Text, Image } from '@tarojs/components';
import { update } from '@/services/landlord'
import './style.less'

export default (props) => {
  const { item } = props
  const [eimg, seteImg] = useState(item.content)
  const handerChange = () => {
    Taro.chooseImage({
      count: 1,
      success: function (res) {
        seteImg(res.tempFilePaths[0])
        update(item.targetId, res.tempFilePaths[0]).then(() => { })
      }
    })
  }
  const detele=[
    {
      src: del, // icon的路径
      extClass:'det'
    }
  ]
  const handelDelete=()=>{
    seteImg()
    console.log("11111111111111111")
  }
  return (
    <View>
      {
        item.contentType == 'image' ?
          <mp-slideview  buttons={detele} icon onbuttontap={handelDelete}>
            <Image src={eimg} mode='widthFix' style={{ width: '100%',display:'block' }} onClick={handerChange}/>
          </mp-slideview> 
          :
          item.contentType == 'text' ?
            <View className='storezn'>{item.content}</View> : null
      }
    </View>
  )
}